
from db import dbGetMany, dbGetOne, dbInsert, dbUpdate
from loguru import logger
import werkzeug




def get_overhead_advances_by_flat(user, token_info, flatId=None):
    return dbGetMany(user, token_info, {
            "statement": """
SELECT o.id ,o.description ,o.amount ,o.startdate ,o.enddate
  FROM overhead_advance_t o, overhead_advance_flat_mapping_t m
  WHERE o.id = m.overhead_advance and m.flat = %s""", 
            "params": (flatId, )
        }
    )
